Subject: Re: Mass deployment
From: "Michael A. Chase" <[email-masked]>
To: <[email-masked]>
Cc: "Cygwin Users" <[email-masked]>
Date: Wed, 18 Apr 2001 20:35:23 -0700

Interspersed.
--
Mac :})
Give a hobbit a fish and he'll eat fish for a day.
Give a hobbit a ring and he'll eat fish for an age.
----- Original Message -----
From: <[email-masked]>
To: "Michael A. Chase" <[email-masked]>
Cc: "Cygwin Users" <[email-masked]>; "Earnie Boyd"
<[email-masked]>
Sent: Wednesday, April 18, 2001 8:25 PM
Subject: Re: Mass deployment

> The workability of this solution implies (I think) that I could do the
> following and have it work:
> 1) Do an install of those packages I want on a single machine.
> 2) tar czf mycyg.tgz cygwin
> 3) regedit and dump keys from the registry file into a .reg file

I'd dump the keys before creating the archive so the .reg file can be inside
the archive.

> 4) For each machine I am installing to:
>    4a)  tar -xzf mycyg.tgz ( to the same root location )

It might be a good idea to remove the old Cygwin tree before laying down a
new one.  You can use untgz.exe in systems that don't already have Cygwin
installed.  A self-extracting file using Info-Zip might also be useful
though the file would be bigger.

>    4b)  cmd /c start regedit cygwin.reg

If you run it from a DOS prompt, you don't need the cmd /c and it will work
under Win9x too.

>    4c)  prey

I thought you were trying to help your remote users, not subsist on them...

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple